Subject: Re: [PATCH 0/6] imx6q related DT binding fixes

From: Rob Herring <[email-masked]>
Date: Tue, 24 Oct 2023 09:00:33 -0500

On Thu, Aug 10, 2023 at 04:44:45PM +0200, Alexander Stein wrote:
> Hi everyone,
> 
> while working on i.MX6Q based board (arch/arm/boot/dts/nxp/imx/imx6q-mba6a.dts)
> I noticed several warnings on dtbs_check. The first 5 patches should be pretty
> much straight forward.
> I'm not 100% sure on the sixth patch, as it might be affected by incorrect
> compatible lists. Please refer to the note in that patch.
> I'm also no sure whether thse patches warrent a Fixes tag, so I only added that
> for patch 3. All of these patches are independent and can be picked up
> individually.
> 
> Best regards,
> Alexander
> 
> Alexander Stein (6):
>   dt-bindings: trivial-devices: Remove national,lm75
>   dt-bindings: imx-thermal: Add #thermal-sensor-cells property
>   dt-bindings: display: imx: hdmi: Allow 'reg' and 'interrupts'
>   dt-bindings: net: microchip: Allow nvmem-cell usage
>   dt-bindings: timer: add imx7d compatible
>   dt-bindings: timer: fsl,imxgpt: Add optional osc_per clock

I noticed this is the top warning for 32-bit i.MX[1] and found this. 
Looks like 5 and 6 never got applied, so I've applied them.

Rob

[1] https://gitlab.com/robherring/linux-dt/-/jobs/5361483372/artifacts/external_file/platform-warnings.log